---
updatedAt: 2026-04-23T13:29:19.000Z
agentTools:
  projectIndex: https://developer.xentral.com/llms.txt
---

# View payment transaction

Returns details of a single payment transaction

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Xentral API",
    "version": "v0.1",
    "description": "Xentral is an ERP platform.",
    "contact": {
      "name": "Xentral",
      "url": "https://xentral.com",
      "email": "api@xentral.com"
    }
  },
  "tags": [
    {
      "name": "Payment Transaction",
      "description": "Payment Transaction resource"
    }
  ],
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Bearer token obtained in POST /tokens endpoint or pregenerated in the system."
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "servers": [
    {
      "url": "https://{xentralId}.xentral.biz",
      "description": "Your Xentral Instance",
      "variables": {
        "xentralId": {
          "default": "xentral"
        }
      }
    },
    {
      "url": "https://{domain}",
      "description": "Xentral at a custom domain",
      "variables": {
        "domain": {
          "default": "xentral.com"
        }
      }
    }
  ],
  "x-readme": {
    "samples-languages": []
  },
  "paths": {
    "/api/v1/paymentTransactions/{id}": {
      "get": {
        "tags": [
          "Payment Transaction"
        ],
        "operationId": "paymentTransaction.view",
        "summary": "View payment transaction",
        "description": "Returns details of a single payment transaction",
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "required": true,
            "description": "The resource's identifier.",
            "schema": {
              "type": "string",
              "pattern": "\\d+",
              "example": "17",
              "description": "Resource identifier."
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Operation completed successfully.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": false,
                  "properties": {
                    "data": {
                      "type": "object",
                      "description": "information about a payment transaction",
                      "additionalProperties": false,
                      "properties": {
                        "returns": {
                          "type": "array",
                          "description": "List of return orders",
                          "items": {
                            "type": "object",
                            "properties": {
                              "id": {
                                "description": "Nullable reference to another resource",
                                "type": "object",
                                "additionalProperties": false,
                                "nullable": true,
                                "required": [
                                  "id"
                                ],
                                "properties": {
                                  "id": {
                                    "type": "string",
                                    "pattern": "\\d+",
                                    "example": "17",
                                    "description": "Resource identifier."
                                  }
                                },
                                "example": {
                                  "id": "1337"
                                }
                              },
                              "salesOrder": {
                                "description": "Nullable reference to another resource",
                                "type": "object",
                                "additionalProperties": false,
                                "nullable": true,
                                "required": [
                                  "id"
                                ],
                                "properties": {
                                  "id": {
                                    "type": "string",
                                    "pattern": "\\d+",
                                    "example": "17",
                                    "description": "Resource identifier."
                                  }
                                },
                                "example": {
                                  "id": "1337"
                                }
                              }
                            }
                          }
                        },
                        "salesOrder": {
                          "description": "Nullable reference to another resource",
                          "type": "object",
                          "additionalProperties": false,
                          "nullable": true,
                          "required": [
                            "id"
                          ],
                          "properties": {
                            "id": {
                              "type": "string",
                              "pattern": "\\d+",
                              "example": "17",
                              "description": "Resource identifier."
                            }
                          },
                          "example": {
                            "id": "1337"
                          }
                        },
                        "creditNote": {
                          "description": "Nullable reference to another resource",
                          "type": "object",
                          "additionalProperties": false,
                          "nullable": true,
                          "required": [
                            "id"
                          ],
                          "properties": {
                            "id": {
                              "type": "string",
                              "pattern": "\\d+",
                              "example": "17",
                              "description": "Resource identifier."
                            }
                          },
                          "example": {
                            "id": "1337"
                          }
                        },
                        "monetary": {
                          "description": "Money object with amount and currency",
                          "example": {
                            "amount": "13.37",
                            "currency": "EUR"
                          },
                          "type": "object",
                          "additionalProperties": false,
                          "properties": {
                            "amount": {
                              "description": "A string representing the amount",
                              "type": "string",
                              "format": "float",
                              "example": "24.99"
                            },
                            "currency": {
                              "type": "string",
                              "pattern": "[A-Z]{3}",
                              "enum": [
                                "EUR",
                                "USD",
                                "JPY",
                                "BGN",
                                "CZK",
                                "DKK",
                                "GBP",
                                "HUF",
                                "PLN",
                                "RON",
                                "SEK",
                                "CHF",
                                "ISK",
                                "NOK",
                                "HRK",
                                "RUB",
                                "TRY",
                                "AUD",
                                "BRL",
                                "CAD",
                                "CNY",
                                "HKD",
                                "IDR",
                                "ILS",
                                "INR",
                                "KRW",
                                "MXN",
                                "MYR",
                                "NZD",
                                "PHP",
                                "SGD",
                                "THB",
                                "ZAR",
                                "ARS",
                                "CLP",
                                "SAR",
                                "AED",
                                "QAR"
                              ],
                              "description": "Currency matches one of currency values as specified in ISO-4217.",
                              "example": "PLN"
                            }
                          }
                        },
                        "paymentStatus": {
                          "type": "string",
                          "description": "information about the the current status of the transaction",
                          "example": "approved"
                        },
                        "paymentReason": {
                          "type": "string",
                          "description": "information about the payment reason",
                          "example": "some reason"
                        }
                      },
                      "example": {
                        "creditNote": {
                          "id": "3"
                        },
                        "returns": [
                          {
                            "returnOrder": {
                              "id": "1"
                            },
                            "salesOrder": {
                              "id": "2"
                            }
                          }
                        ],
                        "monetary": {
                          "amount": "12.34",
                          "currency": "EUR"
                        },
                        "paymentStatus": "error",
                        "paymentReason": "Some reason"
                      }
                    }
                  }
                },
                "examples": {
                  "Shows a single payment transaction": {
                    "value": {
                      "data": {
                        "creditNote": {
                          "id": "3"
                        },
                        "returns": [
                          {
                            "returnOrder": {
                              "id": "1"
                            },
                            "salesOrder": {
                              "id": "2"
                            }
                          }
                        ],
                        "monetary": {
                          "amount": "12.34",
                          "currency": "EUR"
                        },
                        "paymentStatus": "error",
                        "paymentReason": "Some reason"
                      }
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unable to authenticate the client",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "description": "Error message explaining why the request failed.",
                      "example": "Missing required scopes: customer:create."
                    }
                  }
                },
                "example": {
                  "message": "Missing required scopes: customer:create."
                }
              },
              "text/html": {
                "schema": {
                  "type": "string",
                  "example": "Unauthorized"
                }
              }
            }
          },
          "403": {
            "description": "Unable to authorize the client"
          },
          "404": {
            "description": "Resource was not found or not enough access privileges"
          },
          "429": {
            "description": "Too many API calls made."
          }
        }
      }
    }
  }
}
```